###
# app configuration
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/environment.html
###

[app:main]
use = egg:zsnl_jobs_http

pyramid.debug_authorization = false
pyramid.debug_notfound = false
pyramid.debug_routematch = false
pyramid.default_locale_name = nl
;pyramid.includes =
;    pyramid_debugtoolbar

minty_service.infrastructure.config_file = package.conf
session_manager = True
session_cookie_name = zaaksysteem_session
# By default, the toolbar only appears for clients from IP addresses
# '127.0.0.1' and '::1'.
# debugtoolbar.hosts = 127.0.0.1 ::1

###
# wsgi server configuration
###

[server:main]
use = egg:waitress#main
listen = localhost:9089
clear_untrusted_proxy_headers = true
trusted_proxy_headers = x-forwarded-for x-forwarded-host x-forwarded-proto x-forwarded-port
trusted_proxy = *
trusted_proxy_count = 1

[server:docker]
use = egg:waitress#main
listen = 0.0.0.0:9089
clear_untrusted_proxy_headers = true
trusted_proxy_headers = x-forwarded-for x-forwarded-host x-forwarded-proto x-forwarded-port
trusted_proxy = *
trusted_proxy_count = 1

###
# logging configuration
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/logging.html
###

[loggers]
keys = root, zsnl, statsd1, statsd2, statsd3, statsd4, amqpstorm, waitress

[handlers]
keys = console

[formatters]
keys = generic

[logger_root]
level = DEBUG
handlers = console

[logger_zsnl]
level = DEBUG
handlers =
qualname = zsnl_jobs_http

[logger_statsd1]
level = INFO
handlers =
propagate = 1
qualname = statsd.connection.Connection

[logger_statsd2]
level = WARNING
handlers =
propagate = 1
qualname = statsd.client.Timer

[logger_statsd3]
level = WARNING
handlers =
propagate = 1
qualname = statsd.client.Counter

[logger_statsd4]
level = WARNING
handlers =
propagate = 1
qualname = statsd.client.Gauge

[logger_amqpstorm]
level = INFO
handlers =
propagate = 1
qualname = amqpstorm.channel0

[logger_waitress]
level = INFO
handlers =
propagate = 1
qualname = waitress

[handler_console]
class = StreamHandler
args = (sys.stderr,)
level = NOTSET
formatter = generic

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s:%(lineno)s][%(threadName)s] %(message)s